# Changelog

Releases and notable changes to this project are documented here.

## [Unreleased]

## [v1.2.1] - 2021-09-10

### Fixed

- Minor issues and dependency updates.

## [v1.2.0] - 2021-08-28

### Added

- Accept multiple topics in publish requests.
- Expired subscription entries are removed from the database when their topics are updated.
- Topics which have been marked deleted are removed from the database after all subscribers have been notified.

## [v1.1.5] - 2021-08-23

### Fixed

- Reverted change introduced in v1.1.3 which consolidated db connections, as it was causing data-integrity issues.
- Issue with SQLite backend causing admin details about subscriptions to show errors.
- Verifications will not be attempted until their topics become active, reducing worker activity in certain situations.

## [v1.1.4] - 2021-08-16

### Fixed

- Prevent task processor from being re-invoked if it is already running.

### Added

- Allow more configuration of html page content.

## [v1.1.3] - 2021-08-13

### Fixed

- Worker tasks, such as delivering content updates, now share one database context.  This reduces the connection load for Postgres backends, affording greater scalability.

## [v1.1.2] - 2021-08-11

### Added

- Make use of the content-type charset when parsing topic content, recoding to UTF8 when needed.

### Fixed

- Feed parser could return a non-list for a single link entry, handle that case.

## [v1.1.1] - 2021-08-09

### Fixed

- Parsing of topic content-types which include encoding.

## [v1.1.0] - 2021-08-08

### Added

- Caching of topic contents for Postfix database backends.  This should greatly reduce the db load when many subscribers to a topic are delivered an update.
- Minor cleanup to generated HTML pages.

## [v1.0.0] - 2021-08-01

### Added

- Everything.  MVP first stable release.

---

[Unreleased]: https://git.squeep.com/?p=websub-hub;a=commitdiff;h=HEAD;hp=v1.2.0
[v1.2.0]: https://git.squeep.com/?p=websub-hub;a=commitdiff;h=v1.2.0;hp=v1.1.5
[v1.1.5]: https://git.squeep.com/?p=websub-hub;a=commitdiff;h=v1.1.5;hp=v1.1.4
[v1.1.4]: https://git.squeep.com/?p=websub-hub;a=commitdiff;h=v1.1.4;hp=v1.1.3
[v1.1.3]: https://git.squeep.com/?p=websub-hub;a=commitdiff;h=v1.1.3;hp=v1.1.2
[v1.1.2]: https://git.squeep.com/?p=websub-hub;a=commitdiff;h=v1.1.2;hp=v1.1.1
[v1.1.1]: https://git.squeep.com/?p=websub-hub;a=commitdiff;h=v1.1.1;hp=v1.1.0
[v1.1.0]: https://git.squeep.com/?p=websub-hub;a=commitdiff;h=v1.1.0;hp=v1.0.0
[v1.0.0]: https://git.squeep.com/?p=websub-hub;a=commitdiff;h=v1.0.0;hp=v0.0.0
